flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shotte <hotte.sylv...@gmail.com>
Subject Re: Simple Flink - Kafka Test
Date Wed, 10 Feb 2016 12:42:29 GMT
Hi,

Thanks for your reply, but I am still a bit confuse.

I have downloaded  flink-0.10.1-bin-hadoop27-scala_2.11.tgz
and kafka_2.11-0.9.0.0.tgz

I did not install myself Scala

Now tell me if I understand correctly. 
Depending on the version of Flink I have (in my case the scala 2.11) I must
specify a dependency in the pom file


But still have the same error

Here's an extract of my file

		<dependencies>
		<dependency>
			<groupId>org.apache.flink</groupId>
			<artifactId>flink-java</artifactId>
			<version>${flink.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.flink</groupId>
			<artifactId>flink-clients</artifactId>
			<version>${flink.version}</version>
		</dependency>
		<dependency>
   			<groupId>org.apache.flink</groupId>
   			<artifactId>flink-connector-kafka</artifactId>
   			<version>0.10.1</version>
		</dependency>
		<dependency>
 			<groupId>org.apache.flink</groupId>
 			<artifactId>flink-streaming-java_2.11</artifactId>
 			<version>0.10.1</version>
		</dependency>
	</dependencies>



--
View this message in context: http://apache-flink-user-mailing-list-archive.2336050.n4.nabble.com/Simple-Flink-Kafka-Test-tp4828p4850.html
Sent from the Apache Flink User Mailing List archive. mailing list archive at Nabble.com.

Mime
View raw message